--- title: "Get project list" slug: "devtools-sourcebuild-projectlist" tags: ["SourceBuild"] updated: 2026-09-17T10:05:48Z published: 2026-09-17T10:05:48Z canonical: "api.ncloud-docs.com/devtools-sourcebuild-projectlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get project list Available in Classic and VPC Get the deployment project list. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/project | ### Request headers For information about the headers common to all SourceBuild APIs, see [SourceBuild request headers](/docs/en/devtools-sourcebuild#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `projectName` | String | Optional | Search keyword - Filter values that match the project name in whole or in part. | | `pageNo` | Number | Optional | Page number - 1-N (default: 1) | | `pageSize` | Number | Optional | Number of items per page - 1-N - Display entire list if not entered. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sourcebuild.apigw.ntruss.com/api/v1/project?projectName=Build3&pageNo=1&pageSize=100' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Object | - | Response result | | `result.total` | Number | - | Number of response results | | `result.project` | Array | - | Project list: [project](/docs/en/devtools-sourcebuild-projectlist#project) | #### `project` The following describes `project`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `id` | Number | - | Project ID | | `name` | String | - | Project name | | `permission` | String | - | Ownership of permission to view details - `Allow` \| `Deny` - `Allow`: own - `Deny`: not owned | | `actionName` | String | - | Permission name for viewing details | ### Response status codes For information about the response status codes common to all SourceBuild APIs, see [SourceBuild response status codes](/docs/en/devtools-sourcebuild#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": { "total": 2, "project": [ { "id": 20632, "name": "Build001", "permission": "Allow", "actionName": "View/getProjectDetail" }, { "id": 20631, "name": "Build002", "permission": "Allow", "actionName": "View/getProjectDetail" } ] } } ```